Summary: Low-level library for netfilter related kernel/userspace communication
Name: libnfnetlink
Version: 1.0.1
Release: r0.0
License: GPLv2+
Group: devel/libs
Packager: Wind River <info@windriver.com>
URL: http://www.netfilter.org/projects/libnfnetlink/index.html
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%package -n libnfnetlink-dbg
Summary: Low-level library for netfilter related kernel/userspace communication - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libnfnetlink0 = 1.0.1-r0.0

%description -n libnfnetlink-dbg
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libnfnetlink-staticdev
Summary: Low-level library for netfilter related kernel/userspace communication - Development files (Static Libraries)
Group: devel
Requires: libnfnetlink-dev = 1.0.1-r0.0

%description -n libnfnetlink-staticdev
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains static libraries for
software development.

%package -n libnfnetlink-dev
Summary: Low-level library for netfilter related kernel/userspace communication - Development files
Group: devel
Requires: libnfnetlink0 = 1.0.1-r0.0
Suggests: libc6-dev

%description -n libnfnetlink-dev
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libnfnetlink-doc
Summary: Low-level library for netfilter related kernel/userspace communication - Documentation files
Group: doc

%description -n libnfnetlink-doc
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.  This package contains documentation.

%package -n libnfnetlink-locale
Summary: Low-level library for netfilter related kernel/userspace communication
Group: devel/libs

%description -n libnfnetlink-locale
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%package -n libnfnetlink0
Summary: Low-level library for netfilter related kernel/userspace communication
Group: devel/libs
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: libnfnetlink
Provides: elf(buildid) = b21936d4fef0fa7643a529c46cea7982a6721546
Provides: libnfnetlink.so.0()(64bit)

%description -n libnfnetlink0
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as nfnetlink_log,
nfnetlink_queue, nfnetlink_conntrack) and their respective users and/or
management tools in userspace.

%post -n libnfnetlink0
# libnfnetlink0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libnfnetlink-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libnfnetlink"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/libnfnetlink.c"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/iftable.c"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/rtnl.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/src/rtnl.c"
%dir "/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/linux_list.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/linux_nfnetlink.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/libnfnetlink.h"
"/usr/src/debug/libnfnetlink/1.0.1-r0/libnfnetlink-1.0.1/include/libnfnetlink/linux_nfnetlink_compat.h"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libnfnetlink.so.0.2.0"

%files -n libnfnetlink-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/libnfnetlink"
"/usr/include/libnfnetlink/linux_nfnetlink.h"
"/usr/include/libnfnetlink/libnfnetlink.h"
"/usr/include/libnfnetlink/linux_nfnetlink_compat.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libnfnetlink.la"
"/usr/lib64/libnfnetlink.so"
"/usr/lib64/pkgconfig/libnfnetlink.pc"

%files -n libnfnetlink0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libnfnetlink.so.0"
"/usr/lib64/libnfnetlink.so.0.2.0"

